Up

# NSBrowserCell

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Cell class for the NSBrowser

Copyright: (C) 1996, 1997, 1999 Free Software Foundation, Inc.

# Software documentation for the NSBrowserCell class

## NSBrowserCell : NSCell

> Declared in:
>   AppKit/NSBrowserCell.h

Availability: OpenStep

TODO Description

Instance Variables
Method summary

- +branchImage
- +highlightedBranchImage
- -alternateImage
- -highlightColorInView:
- -isLeaf
- -isLoaded
- -reset
- -set
- -setAlternateImage:
- -setLeaf:
- -setLoaded:

### branchImage

+ (NSImage*) branchImage;
Availability: OpenStep

Returns the default branch image. Currently, it's an arrow.

See Also: +highlightedBranchImage

### highlightedBranchImage

+ (NSImage*) highlightedBranchImage;
Availability: OpenStep

Returns the default hightlited branch image

See Also: +branchImage

### alternateImage

- (NSImage*) alternateImage;
Availability: OpenStep

Returns the alternate image in the NSBrowserCell (used when the cell is highlighted)

See Also: -setAlternateImage:

### highlightColorInView:

- (NSColor*) highlightColorInView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### isLeaf

- (BOOL) isLeaf;
Availability: OpenStep

Returns whether the browserCell is a leaf. A leaf cell has usually no image. This method is used by NSBrowser in several methods, for example to know if a column should be added; when the user selects a browser cell (a branch or a leaf)

See Also: -setLeaf:

### isLoaded

- (BOOL) isLoaded;
Availability: OpenStep

Returns whether the NSBrowseCell state is set and is ready for display

See Also: -setLoaded:

### reset

- (void) reset;
Availability: OpenStep

Unhighlights the cell and sets the cell's state to `NO`

See Also: -set

### set

- (void) set;
Availability: OpenStep

Highlights the cell and sets the cell's state to `YES`

See Also: -reset

### setAlternateImage:

- (void) setAlternateImage: (NSImage*)anImage;
Availability: OpenStep

Sets the altenate image (used when the cell is highlighted) to anImage

See Also: -alternateImage

### setLeaf:

- (void) setLeaf: (BOOL)flag;
Availability: OpenStep

Sets whether the cell is a leaf. This method is usally used in the NSBrowser's delegate methods

See Also: -isLeaf

### setLoaded:

- (void) setLoaded: (BOOL)flag;
Availability: OpenStep

Sets whether the NSBrowseCell state is set and is ready for display

See Also: -isLoaded

## Instance Variables for NSBrowserCell Class

### _alternateImage

@protected NSImage* _alternateImage;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up